ArrayDeserializerFactory (Axis API)
Keywords: org.apache.axis.encoding.ser.ArrayDeserializerFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class ArrayDeserializerFactory

    java.lang.Object
      org.apache.axis.encoding.ser.BaseFactory
          org.apache.axis.encoding.ser.BaseDeserializerFactory
              org.apache.axis.encoding.ser.ArrayDeserializerFactory

All Implemented Interfaces:
  DeserializerFactory, DeserializerFactory, java.io.Serializable

public class ArrayDeserializerFactory
extends BaseDeserializerFactory

DeserializerFactory for arrays

Author:
  Rich Scheuerle
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.BaseDeserializerFactory
`deserClass, deserClassConstructor, getDeserializer, javaType, log, xmlType`

Constructor Summary
`ArrayDeserializerFactory()`
`ArrayDeserializerFactory(QName componentXmlType)` Constructor

Method Summary
`Deserializer` | `getDeserializerAs(java.lang.String mechanismType)` getDeserializerAs() is overloaded here in order to set the default item type on the ArrayDeserializers we create.
`void` | `setComponentType(QName componentType)`

Methods inherited from class org.apache.axis.encoding.ser.BaseDeserializerFactory
`createFactory, getDeserClassConstructor, getGeneralPurpose, getGetDeserializer, getSpecialized, getSupportedMechanismTypes`

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayDeserializerFactory

    public ArrayDeserializerFactory()

### ArrayDeserializerFactory

    public ArrayDeserializerFactory(QName componentXmlType)

  Constructor

Parameters:
  `componentXmlType` - the desired component type for this deser

Method Detail

### getDeserializerAs

    public Deserializer getDeserializerAs(java.lang.String mechanismType)

  getDeserializerAs() is overloaded here in order to set the default item type on the ArrayDeserializers we create.

  Specified by:
    `getDeserializerAs` in interface `DeserializerFactory`
  Overrides:
    `getDeserializerAs` in class `BaseDeserializerFactory`
  Parameters:
    `mechanismType` -
  Returns:

### setComponentType

    public void setComponentType(QName componentType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.